cURL
curl --request GET \
--url https://api.brightdata.com/datasets/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "gd_l1vijqt9jfj7olije",
"name": "Crunchbase companies information",
"size": 2300000
},
{
"id": "gd_l1vikfch901nx3by4",
"name": "Instagram - Profiles",
"size": 620000000
}
]{
"error": "Unauthorized"
}{
"error": "Internal server error"
}Dataset Marketplace API
Dataset list
List every Bright Data dataset ID for all Web Scraper APIs available on your account. Spans 250+ domains in the Bright Data marketplace.
GET
/
datasets
/
list
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer YOUR_API_KEY
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Response
List of available datasets
Example:
[
{
"id": "gd_l1vijqt9jfj7olije",
"name": "Crunchbase companies information",
"size": 2300000
},
{
"id": "gd_l1vikfch901nx3by4",
"name": "Instagram - Profiles",
"size": 620000000
}
]
Was this page helpful?